QGIS Application - Feature request #8594
executeQuery on data provider
2013-09-10 10:08 PM - Nathan Woodrow

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17336
Description

It would be handy to be able to do executeQuery which would just pass the query to the provider and return a iterator of features.

Would allow for something like this:

provider = layer.dataProvider()

features = provider.executeQuery("Select * FROM blah WHERE A = 100")

for f in features:

This would be handy to allow to more advanced queries against a provider and letting QGIS handle all the QgsFeature creation.

History

#1 - 2014-06-20 03:48 PM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2017-09-22 10:06 AM - Jiirgen Fischer

- Category set to Unknown
